/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --white-color: hsl(0, 0%, 100%);
  --black-color: hsl(0, 0%, 0%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Poppins", sans-serif;
  --h1-font-size: 2rem;
  --normal-font-size: 1rem;
  --small-font-size: .813rem;

  -webkit-tap-highlight-color: transparent;
}


/* -*-*-*-*-*-*-*-*-*-*-*- Toast */

.toast {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  position: fixed;
  top: -30%;
  left: 50%;
  -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  background-color: blueviolet;
  color: white;
  font-weight: bold;
  text-align: center;
  padding: 10px 20px;
  border-radius: 20px;
  -webkit-transition: top 0.5s ease-in-out;
  -o-transition: top 0.5s ease-in-out;
  transition: top 0.5s ease-in-out;
  z-index: 999;
}

.toast p {
  font-size: 0.85rem;
}

.toast.showToast {
  top: 5%;
}

/* -*-*-*-*-*-*-*-*-*-*-*-*-*-*- */


/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  transition: all 0.3s ease;
}

body,
input,
button {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

.back-btn {
  position: absolute;
  top: 0;
  width: 50px;
  height: auto;
  aspect-ratio: 1/1;
  margin: 20px;
  font-size: 3em;
  background-color: transparent;
  border: none;
  transition: all 0.2s ease;
}

.back-btn:hover {
  color: blueviolet;
}

/*=============== LOGIN ===============*/
.login {
  position: relative;
  height: 100vh;
  display: grid;
  align-items: center;
}

.login__bg {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.login__form {
  position: relative;
  margin-inline: 1.5rem;
  background-color: hsla(0, 0%, 0%, 0.01);
  border: 2px inset hsla(0, 0%, 100%, .7);
  padding: 2.5rem 1rem;
  color: var(--white-color);
  border-radius: 1rem;
  backdrop-filter: blur(16px);
  transition: 0.5s ease-in-out;
}

.login__title {
  text-align: center;
  font-size: var(--h1-font-size);
  margin-bottom: 1.25rem;
}

.login__inputs,
.login__box {
  display: grid;
}

.login__inputs {
  row-gap: 1.25rem;
  margin-bottom: 1rem;
}

.login__box {
  position: relative;
  display: flex;
  align-items: center;
}

.login__input,
.login__button {
  border: none;
  outline: none;
}

.login__input {
  width: 100%;
  background: none;
  color: var(--white-color);
  padding-block: 10px;
  border: 2px solid hsla(0, 0%, 100%, 0.5);
  border-radius: 50px;
  padding-left: 20px;
  padding-right: 50px;
}

.login__input:focus {
  border: 2px solid white;
}

.login__input::placeholder {
  color: hsla(0, 0%, 100%, 0.5);
}

.login__box i {
  font-size: 1.25rem;
  position: absolute;
  right: 0;
  padding: 20px;
}

.login__check,
.login__check-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.login__check {
  margin-left: 10px;
  margin-bottom: 1rem;
  font-size: var(--small-font-size);
}

.login__check-box {
  column-gap: .5rem;
}

.login__check-input {
  width: 1rem;
  height: 1rem;
  accent-color: blueviolet;
}

.login__forgot {
  color: var(--white-color);
}

.login__forgot:hover {
  text-decoration: underline;
}

.login__button {
  width: 100%;
  padding: 10px;
  margin-bottom: 1rem;
  background-color: var(--white-color);
  border-radius: 4rem;
  color: var(--black-color);
  font-weight: 500;
  cursor: pointer;
}

.login__button:hover {
  letter-spacing: 5px;
}

.login__button:active {
  scale: 0.98;
}

.login__register {
  font-size: var(--small-font-size);
  text-align: center;
}

.login__register a {
  color: var(--white-color);
  font-weight: 500;
}

.login__register a:hover {
  text-decoration: underline;
}

/*=============== BREAKPOINTS ===============*/
/* For medium devices */
@media screen and (min-width: 576px) {
  .login {
    justify-content: center;
  }

  .login__form {
    width: 420px;
    padding-inline: 2.5rem;
  }

  .login__title {
    margin-bottom: 2rem;
  }
}